## qemu 0.14.0+dfsg

=== debian/changelog ===
qemu (0.14.0+dfsg-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Tighten dependencies on openbios-ppc, openbios-sparc and seabios to
    the versions in upstream 0.14.0.
  * patches/02_kfreebsd.patch: don't consider futimens/utimensat available
    if it is a stub.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Feb 2011 00:36:20 +0100

qemu (0.14.0+dfsg-1) unstable; urgency=low

  [ Vagrant Cascadian ]
  * New upstream release candidate version.
  * qemu-user-static: 
    - Drop binfmt support for emulating amd64 on i386, as it is broken and
      including it interferes with environments capable of running amd64
      natively.  Closes: #604712.
    - Remove binfmt support for installed targets in postinst before installing
      supported targets, to ensure no-longer-supported targets are actually
      removed.
    - Remove binfmt support for installed targets in prerm.

  [ Aurelien Jarno ]
  * Fix configuration files directory.  Closes: #600735.
  * Enable AIO support.

  [ Vagrant Cascadian ]
  * Update debian/copyright to refer to upstream git repositry and clarify
    which binary blobs are removed to make the dfsg-free tarball.
  * Refresh debian/patches/security/leftover.patch. 

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 18 Feb 2011 21:07:01 -0800

qemu (0.13.0+dfsg-2) experimental; urgency=low

  * Fix Build-Depends to exclude kfreebsd-any wildcards where appropriate.
    Thanks to Jon Severinsson. Closes: #592215

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 24 Oct 2010 09:02:27 -0700

qemu (0.13.0+dfsg-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * mips/mipsel binfmt registration: also match EI_ABIVERSION=1, used by
    OpenWRT. Closes: #591543.
  * Build-depends on libattr1-dev to enable VirtFS (9p) support. Closes:
    #592215.
  * Use architecture wildcards instead of explicit architecture list.

  [ Vagrant Cascadian ]
  * Switch to source format 3.0 (quilt).
  * New upstream version. 
  * Drop 99_stable.diff, applied in new upstream version.
  * debian/watch: update to properly handle upstream rc versions.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 18 Oct 2010 10:22:44 -0700

qemu (0.13.0~rc0+dfsg-2) experimental; urgency=low

  [ Aurelien Jarno ]
  * Add ia64 to the list of supported architectures.
  * Bump Standards-Version to 3.9.1 (no changes).
  * Update seabios, openbios-ppc and openbios-sparc dependencies.
  * Add 99_stable.diff to update from the stable-0.13 branch:
    - Fix sparc FTBFS. Closes: #591249.
  * Add qemu-debootstrap from Loïc Minier in qemu-static. Closes:
    #572952.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Aug 2010 07:25:06 +0200

qemu (0.13.0~rc0+dfsg-1) experimental; urgency=low

  * New upstream release candidate version.
  * Do not configure audio drivers for qemu-user and qemu-user-static targets. 
  * Remove patches:
    - 05_bochs_vbe, applied upstream.
    - 06_sh4, applied upstream.
    - 03_support_pselect_in_linux_user_arm, upstream implemented a simpler
      workaround.
  * Add Build-Depends on texinfo. 
  * Drop libqemu-dev package. 

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 29 Jul 2010 19:51:01 -0400

qemu (0.12.5+dfsg-3) unstable; urgency=medium

  * qemu-user-static: 
    - Drop binfmt support for emulating amd64 on i386, as it is broken and
      including it interferes with environments capable of running amd64
      natively.  Closes: #604712.
    - Remove binfmt support for installed targets in postinst before installing
      supported targets, to ensure no-longer-supported targets are actually
      removed.
    - Remove binfmt support for installed targets in prerm.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 28 Nov 2010 15:57:11 -0800

qemu (0.12.5+dfsg-2) unstable; urgency=low

  * mips/mipsel binfmt registration: also match EI_ABIVERSION=1, used by
    OpenWRT. Closes: #591543.
  * Update 99_stable.diff from the stable branch:
    - Fix windows XP boot with libvirt. Closes: bug#579166.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2010 12:56:30 +0200

qemu (0.12.5+dfsg-1) unstable; urgency=low

  * New upstream stable version.
  * qemu-system: don't suggests kqemu-source.  Closes: bug#589217.
  * qemu-keymaps: fix short description.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 23 Jul 2010 19:02:14 +0200

qemu (0.12.4+dfsg-4) unstable; urgency=high

  * Update debian/copyright.  Closes: bug#588911.
  * Update 99_stable.diff from the stable branch:
    - Add documentation for the stdio signal option. Closes: bug#588514.
  * Split out keymaps in the qemu-keymaps package.  Closes: bug#559174.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Jul 2010 15:13:04 +0200

qemu (0.12.4+dfsg-3) unstable; urgency=low

  * Update 99_stable.diff from the stable branch. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 16 Jun 2010 23:07:36 +0200

qemu (0.12.4+dfsg-2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * qemu-system: Depend on etherboot-qemu package for PXE roms.
    Closes: #552406.

  [ Aurelien Jarno ]
  * Add 99_stable.diff to update from the stable branch.
  * Use --with-pkgversion to set the packaging version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jun 2010 21:24:26 +0200

qemu (0.12.4+dfsg-1) unstable; urgency=low

  * New upstream stable version:
    - remove debian/patches/01_redir_doc.patch
    - remove debian/patches/04_cmd646.patch
    - update debian/patches/06_sh4.diff

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 May 2010 19:43:48 +0200

qemu (0.12.3+dfsg-4) unstable; urgency=low

  * Add 05_bochs_vbe.diff backported from uptream to support vgabios
    0.6c.
  * Add 06_sh4.diff containing a few SH4 specific fixes backported from
    upstream.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Apr 2010 01:44:38 +0200

qemu (0.12.3+dfsg-3) unstable; urgency=low

  * Add symlink for seabios's multiboot.bin.
  * Change configure-stamp depends to non-phony target $(QUILT_STAMPFN).

