## qemu 0.14.1+dfsg

=== debian/changelog ===
qemu (0.14.1+dfsg-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add patches/qemu-ifunc-ppc.patch and patches/qemu-ifunc-sparc.patch
    to fix FTBFS on ppc and sparc.

  [ Vagrant Cascadian ]
  * Apply patch to fix qemu-user-static mipsel emulation (Closes: #562887).
  * Drop support for esd (Closes: #633390). Thanks to Adrian Bunk.
  * Add dummy debian/rules build-indep/build-arch targets to resolve lintian 
    warnings and future policy requirements.
  * Remove needless mention of "Author(s)" which triggers a lintian warning.
  * Fix maintainer-script-without-set-e lintian checks.
  * Fix hyphen-used-as-minus-sign lintian check for qemu-debootstrap manpage.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 23 Jul 2011 10:18:37 +0200

qemu (0.14.1+dfsg-2) unstable; urgency=low

  * Add override for qemu-user-static binaries which embed needed libraries.
  * Add qemu-debootstrap manpage.
  * Add patch to fix typo in qemu-system-* (runnning -> running).
  * Update to Standards-Version 3.9.2, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 02 Jul 2011 22:29:17 -0700

qemu (0.14.1+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Depend on ipxe instead of etherboot-qemu.
  * Add pcnet-ipxe.patch from upstream to fix ipxe with pcnet nic.
  * Add symlink for network boot with eepro100 cards (i82551, i82557b, 
    i82559er).
  * Drop 01_rdb.patch, applied upstream. 
  * Add support for building on armhf architecture.
  * Support debootstrap options that require arguments in qemu-debootstrap.
    Thanks to Stefano Rivera for the patch. Closes: #605660.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 01 Jul 2011 22:49:40 -0700

qemu (0.14.0+dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace "librados1-dev" by "librados-dev" in Build-Dependencies.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 29 Apr 2011 17:45:05 +0200

qemu (0.14.0+dfsg-5) unstable; urgency=low

  * Don't register qemu-mips(el) with binfmt on mips(el).  Closes:
    #618369.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Mar 2011 20:13:27 +0100

qemu (0.14.0+dfsg-4) unstable; urgency=low

  * Reupload without automatically generated patch
    debian-changes-0.14.0+dfsg-3.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Feb 2011 15:10:04 +0100

qemu (0.14.0+dfsg-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Depends on vgabios (>= 0.6c-3) and add symlinks for qxl, stdvga and
    vmware bioses.  Closes: #614252, #614169.
  * Tighten build-depends on linux-libc-dev to (>= 2.6.34), to get
    vhost-net support.
  * Build-depends on xfslibs-dev in order to get TRIM support on XFS
    filesystems.
  * Build-depends on librados1-dev to get rdb support.  Closes: #614150.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Feb 2011 09:06:00 +0100
