=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5), nasm, device-tree-compiler,
  libx11-dev, libsdl1.2-dev (>> 1.2.1), libncurses5-dev, zlib1g-dev,
- texi2html, sharutils, libesd0-dev, libbrlapi-dev,
+ texi2html, sharutils, libbrlapi-dev,
  libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
- libvdeplug2-dev [!kfreebsd-any], libasound2-dev [!kfreebsd-any],
- libbluetooth-dev [!kfreebsd-any], libattr1-dev,
- libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.30) [linux-any],
- libaio-dev [linux-any], texinfo
+ libvdeplug2-dev [linux-any], libasound2-dev [linux-any],
+ libbluetooth-dev [linux-any], libattr1-dev, librados-dev [amd64 i386],
+ libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
+ libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo
 Build-Conflicts: oss4-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.qemu.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-qemu/qemu.git
 Vcs-Git: git://git.debian.org/git/pkg-qemu/qemu.git
 
 Package: qemu
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
 Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
 Suggests: qemu-user-static [linux-any]
 Description: fast processor emulator
@@ -56,8 +56,8 @@
  package or QEMU derivatives.
 
 Package: qemu-system
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-1), seabios (>= 0.6.1.2-1), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, etherboot-qemu
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3), seabios (>= 0.6.1.2-1), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, ipxe
 Recommends: vde2, qemu-utils
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -75,7 +75,7 @@
  machines on a single server.
 
 Package: qemu-user
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -90,7 +90,7 @@
  QEMU can launch Linux processes compiled for one CPU on another CPU.
 
 Package: qemu-user-static
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: binfmt-support
 Suggests: sudo
@@ -105,7 +105,7 @@
  one CPU on another CPU.
 
 Package: qemu-utils
-Architecture: amd64 arm armel hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: debootstrap
 Conflicts: kvm (= 85+dfsg-4.1)
