=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,10 @@
 DEB_HOST_ARCH_CPU = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-       conf_audio_drv += --audio-drv-list=alsa,oss,sdl,esd,pa
+       conf_audio_drv += --audio-drv-list=alsa,oss,sdl,pa
 endif
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-       conf_audio_drv += --audio-drv-list=oss,sdl,esd,pa
-endif
-# KVM on PowerPC needs at least 2.6.33 kernel headers
-ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
-       conf_arch += --disable-kvm
+       conf_audio_drv += --audio-drv-list=oss,sdl,pa
 endif
 
 # binfmt support
@@ -38,7 +34,7 @@
 ifeq ($(DEB_HOST_ARCH),amd64)
 BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
 endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel))
+ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel armhf))
 BINFMT_TARGETS=$(filter-out arm, $(ALL_BINFMT_TARGETS))
 endif
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -46,6 +42,12 @@
 # interferes with environments capable of running amd64 natively.
 # http://bugs.debian.org/604712
 BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
+endif
+ifeq ($(DEB_HOST_ARCH),mips)
+BINFMT_TARGETS=$(filter-out mips, $(ALL_BINFMT_TARGETS))
+endif
+ifeq ($(DEB_HOST_ARCH),mipsel)
+BINFMT_TARGETS=$(filter-out mipsel, $(ALL_BINFMT_TARGETS))
 endif
 ifeq ($(DEB_HOST_ARCH),powerpc)
 BINFMT_TARGETS=$(filter-out ppc, $(ALL_BINFMT_TARGETS))
@@ -116,7 +118,9 @@
 endif
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
