=== debian/changelog ===
qemu (0.15.1+dfsg-3) unstable; urgency=low

  * Add patch from upstream to fix FTBFS on ia64. 

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 09 Dec 2011 23:48:21 -0800

qemu (0.15.1+dfsg-2) unstable; urgency=low

  * Add patch that fixes a buffer overrun (CVE-2011-4111). 
  * Enable spice support on amd64:
    - Add Build-Depends: libspice-server-dev, libspice-protocol-dev
  * debian/rules: Use dh_prep instead of "dh_clean -k", which is deprecated. 

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 28 Nov 2011 20:34:50 -0800

qemu (0.15.1+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 06 Nov 2011 10:37:31 -0800

qemu (0.15.0+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Install new qemu-system, qemu-user and qemu-user-static variants: 
    lm32, microblazeel, s390x, unicore32
  * Patch from upstream to set QEMU_INCLUDES before QEMU_CFLAGS.
  * Update debian/watch to check http://qemu.org/download.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 03 Oct 2011 12:29:18 -0700

qemu (0.15.0~rc2+dfsg-1) experimental; urgency=low

  * New upstream version.
  * qemu-debootstrap: Return the exit status of debootstrap instead of 
    hard-coding a sucessful exit status.
  * Build-depend on librbd-dev.
  * Remove qemu-mipsel-debian-rootfs.patch, a variation was applied upstream.
  * Remove pcnet-ipxe patch, applied upstream.
  * Add Build-Depends on python. 
  * Rename pxe rom symlinks to match upstream rename. 

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Aug 2011 13:27:43 +0200
