=== debian/control ===
--- 
+++ 
@@ -9,9 +9,12 @@
  texi2html, sharutils, libbrlapi-dev,
  libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
  libvdeplug2-dev [linux-any], libasound2-dev [linux-any],
- libbluetooth-dev [linux-any], libattr1-dev, librados-dev [amd64 i386],
+ libbluetooth-dev [linux-any], libattr1-dev, 
+ librados-dev [amd64 i386], librbd-dev [amd64 i386],
  libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
- libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo
+ libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo,
+ python,
+ libspice-server-dev [amd64], libspice-protocol-dev [amd64]
 Build-Conflicts: oss4-dev
 Standards-Version: 3.9.2
 Homepage: http://www.qemu.org/
