=== debian/rules ===
--- 
+++ 
@@ -148,7 +148,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -a
 	
 	# system build
